/*
 * Copyright (C) 2003 BLADOX, s.r.o.  All rights reserved.
 * 
 * This file is part of an example program for Turbo. This example
 * program may be used, distributed and modified without limitation.
 *
 */

#include <config.h>
#include <turbo/turbo.h>

u8 PROGMEM t_Foo_en[] = "Hello World!";

void first_stk (void *data)
{
  display_text_raw (t_Foo_en, Q_DISPLAY_TEXT_DELAY_CLEAR);
}

void turbo_handler (u8 action, void *data)
{
  switch (action)
  {
    case ACTION_FIRST_STK:
      stk_thread (first_stk, data);
      break;
    default:
      break;
  }
}
